Lots of errors updating all packages, help!

Owen Smith

Active Member
Updated for the first tine in many months tonight after the Sandy Heath retune, and I got this:

>> opkg update
Downloading http://hpkg.tv/hdrfoxt2/base/Packages.gz.
Inflating http://hpkg.tv/hdrfoxt2/base/Packages.gz.
Updated list of available packages in /mod/var/opkg/base.

>> opkg upgrade
Upgrading sqlite3 on root from 3.23.0 to 3.27.2...
Downloading http://hpkg.tv/hdrfoxt2/base/sqlite3_3.27.2_mipsel.opk.
Upgrading webif on root from 1.4.4-1 to 1.4.8...
Downloading http://hpkg.tv/hdrfoxt2/base/webif_1.4.8_mipsel.opk.
Upgrading jim on root from 0.77 to 0.79...
Downloading http://hpkg.tv/hdrfoxt2/base/jim_0.79_mipsel.opk.
Installing jim-pack (0.79) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-pack_0.79_mipsel.opk.
Installing zip (3.0-1) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/zip_3.0-1_mipsel.opk.
Installing wget (1.20.3) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/wget_1.20.3_mipsel.opk.
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
wget: can't load library 'libssl.so.1.1'
Installing openssl (1.1.1.d-1) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.d-1_mipsel.opk.
Upgrading rs on root from 1.5.1-1 to 1.5.1-2...
Downloading http://hpkg.tv/hdrfoxt2/base/rs_1.5.1-2_mipsel.opk.
Upgrading lighttpd on root from 1.4.39-1 to 1.4.53-1...
Downloading http://hpkg.tv/hdrfoxt2/base/lighttpd_1.4.53-1_mipsel.opk.
Upgrading jim-binary on root from 0.76 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-binary_0.78_mipsel.opk.
Upgrading jim-sqlite3 on root from 0.77-1 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-sqlite3_0.78_mipsel.opk.
Upgrading trm on root from 1.1 to 1.2...
Downloading http://hpkg.tv/hdrfoxt2/base/trm_1.2_mipsel.opk.
Upgrading ffmpeg on root from 2.8-1 to 4.1-1...
Downloading http://hpkg.tv/hdrfoxt2/base/ffmpeg_4.1-1_mipsel.opk.
Upgrading nugget on root from 0.98-3 to 1.0...
Downloading http://hpkg.tv/hdrfoxt2/base/nugget_1.0_mipsel.opk.
jim (0.79) already install on root.
Upgrading jim-oo on root from 0.77 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-oo_0.78_mipsel.opk.
Configuring sqlite3.
Configuring jim.
Configuring wget.
Configuring jim-pack.
Configuring zip.
Collected errors:
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.d-1_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download openssl. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/rs_1.5.1-2_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download rs. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/lighttpd_1.4.53-1_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download lighttpd. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/jim-binary_0.78_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download jim-binary. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/jim-sqlite3_0.78_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download jim-sqlite3. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/trm_1.2_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download trm. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/ffmpeg_4.1-1_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download ffmpeg. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/nugget_1.0_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download nugget. Perhaps you need to run 'opkg update'?
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/jim-oo_0.78_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download jim-oo. Perhaps you need to run 'opkg update'?

Updating package meta information
Done.

Updating diagnostic meta information
Updating MUX database
Done.
 

MymsMan

Ad detector
Try again, possibly twice, and reboot

There was a big update a while back that couldn't be installed in one go and caused error messages
 
OP
O

Owen Smith

Active Member
And both before and after a reboot all attempts to get into custom firmware from my iPad give this on both http and https:

500 - Internal Server Error

HDR Fox T2 running custom firmware 3.13.

Attempting to upgrade all packages over telnet appear to work better but still can't load SSL:


/-------------------------\
| T E L N E T M E N U |
\-------------------------/

[ Humax HDR-Fox T2 (owenhdrfoxt2) 1.03.12/3.13 ]

maint - Restart into maintenance mode.
safe - Enable safe mode on next boot.
rma - Enable return-to-manufacturer (RMA) mode.
reset - Reset custom firmware environment.
upgrade - Upgrade all installed packages.
passwd - Remove web interface password.
fixweb - Re-install web interface.
stat - Show current activity.
x - Exit and close connection.
reboot - Reboot the Humax.
diag - Run a diagnostic.
cli - System command line (advanced users).

Please select option: upgrade
Updating package list...
Downloading http://hpkg.tv/hdrfoxt2/base/Packages.gz.
Inflating http://hpkg.tv/hdrfoxt2/base/Packages.gz.
Updated list of available packages in /mod/var/opkg/base.

The following upgrades are available:

webif - 1.4.4-1 - 1.4.8
rs - 1.5.1-1 - 1.5.1-2
lighttpd - 1.4.39-1 - 1.4.53-1
jim-binary - 0.76 - 0.78
jim-sqlite3 - 0.77-1 - 0.78
trm - 1.1 - 1.2
ffmpeg - 2.8-1 - 4.1-1
nugget - 0.98-3 - 1.0
jim-oo - 0.77 - 0.78

Are you sure you wish to run a package upgrade? [Y/N] y

Upgrading webif on root from 1.4.4-1 to 1.4.8...
Downloading http://hpkg.tv/hdrfoxt2/base/webif_1.4.8_mipsel.opk.
Upgrading rs on root from 1.5.1-1 to 1.5.1-2...
Downloading http://hpkg.tv/hdrfoxt2/base/rs_1.5.1-2_mipsel.opk.
Installing curl (7.63.0) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/curl_7.63.0_mipsel.opk.
Installing openssl (1.1.1.d-1) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.d-1_mipsel.opk.
Installing ca-bundle (3.41) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/ca-bundle_3.41_mipsel.opk.
Upgrading lighttpd on root from 1.4.39-1 to 1.4.53-1...
Downloading http://hpkg.tv/hdrfoxt2/base/lighttpd_1.4.53-1_mipsel.opk.
Removing obsolete file /mod/lib/lighttpd/mod_magnet.la.
Removing obsolete file /mod/lib/lighttpd/mod_trigger_b4_dl.la.
Removing obsolete file /mod/lib/lighttpd/mod_mysql_vhost.la.
Removing obsolete file /mod/lib/lighttpd/mod_magnet.so.
Removing obsolete file /mod/lib/lighttpd/mod_cml.la.
Removing obsolete file /mod/lib/lighttpd/mod_trigger_b4_dl.so.
Removing obsolete file /mod/lib/lighttpd/mod_mysql_vhost.so.
Removing obsolete file /mod/lib/lighttpd/mod_cml.so.
Upgrading jim-binary on root from 0.76 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-binary_0.78_mipsel.opk.
Upgrading jim-sqlite3 on root from 0.77-1 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-sqlite3_0.78_mipsel.opk.
Upgrading trm on root from 1.1 to 1.2...
Downloading http://hpkg.tv/hdrfoxt2/base/trm_1.2_mipsel.opk. Upgrading ffmpeg on root from 2.8-1 to 4.1-1...
Downloading http://hpkg.tv/hdrfoxt2/base/ffmpeg_4.1-1_mipsel.opk.
Removing obsolete file /mod/lib/pkgconfig/libavfilter.pc.
Removing obsolete file /mod/lib/pkgconfig/libavformat.pc.
Removing obsolete file /mod/lib/pkgconfig/libavutil.pc.
Removing obsolete file /mod/lib/pkgconfig/libavdevice.pc.
Removing obsolete file /mod/bin/ffserver.
Removing obsolete file /mod/lib/pkgconfig/libpostproc.pc.
Removing obsolete file /mod/lib/pkgconfig/libavcodec.pc.
Removing obsolete file /mod/lib/pkgconfig/libswresample.pc.
Removing obsolete file /mod/lib/pkgconfig/libswscale.pc.
Upgrading nugget on root from 0.98-3 to 1.0...
Downloading http://hpkg.tv/hdrfoxt2/base/nugget_1.0_mipsel.opk.
Upgrading jim-oo on root from 0.77 to 0.78...
Downloading http://hpkg.tv/hdrfoxt2/base/jim-oo_0.78_mipsel.opk.
Configuring ca-bundle.
Configuring openssl.
Configuring lighttpd.
Configuring jim-oo.
Configuring jim-sqlite3.
Configuring jim-binary.
Configuring trm.
Configuring ffmpeg.
Configuring nugget.
Configuring webif.
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
Configuring curl.
Configuring rs.


Press return to continue:

Better, but still can't load libcrypto.so.1.1
 
OP
O

Owen Smith

Active Member
Still can't load libcrypto. Telnet says there are no packages to update so I tried the fixweb option which says:

Please select option: fixweb
Removing package webif from root...
Not deleting modified conffile /mod/webif/html/favicon.ico.
Installing webif (1.4.8) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/webif_1.4.8_mipsel.opk.
Configuring webif.
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
Collected errors:
* file_md5sum_alloc: Failed to open file /mod/webif/html/favicon.ico: No such f
ile or directory.

Press return to continue:
 
OP
O

Owen Smith

Active Member
Going into maintenance mode and running diag fix-flash-packages appears to have restored some semblance of normality. I can now get into the webui again and with https so something is working.

But running fixweb from telnet still gives the same output as above about not being able to load libcrypto.so.1.1 so something looks like it is still bust. Possibly the fixweb option rather than my box.
 
OP
O

Owen Smith

Active Member
On my other HDR Fox T2 (which was last updated at the same time as the first one) I used the telnet menu to upgrade all packages. This worked a lot better, it did it all but complained about libcrypto.so.1.1 twice when downloading webif. I rebooted and tried fixweb which gave the same errors again. So rebooted it into maintenance mode and ran diag fix-flash-packages and that ran without error. Rebooted box, all working in webui with https.

Looks to me that all attempts to update the webui fail with the libcrypto.so.1.1 load error unless done in maintenance mode, or possibly done with fix-flash-packages.
 

/df

Active Member
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.d-1_mipsel.opk, wget returned 16.
opkg is configured to use wget to download packages (curl is a build-time alternative). wget is supposed to return 0..8, but presumably the dynamic loader is returning 16 == EBUSY. Also possibly relevant is that both the busybox built into CF 3.13 and the matching CF package provide a wget that might be used if the CF package wasn't installed.

It's difficult to be sure about what's happening without the package lists before and after, but might this be related to a buggy openssl-1.1.1.1.b?

While the current package is fine, wget's dependencies still specify >= 1.1.1.1.b, which would allow opkg to upgrade it without installing a working openssl. As opkg uses wget, the next 9 download attempts failed (for some reason trying to use https?). These apparently correspond to the 9 upgradable packages listed on the next upgrade attempt which weirdly worked.
Configuring webif.
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
"Configuring ..." means running the post-install script from the package; my /mod/var/opkg/info/webif.postinst runs /mod/webif/lib/bin/diskattrs and /mod/webif/lib/auto/upgrade which are both Jim scripts, presumably corresponding to the two error lines.

Maybe something went wrong with installing openssl that might be fixed by opkg --force-reinstall install openssl (also available through the "Force re-install" option in WebIf>Diagnostics)? openssl shouldn't be affected by fix-flash-packages.

Not necessarily relevant to OP's problem, but the CF is running opkg v0.1.8 (2010) vs the later stable 0.2.4 (2014) or current 0.4.2. It's not clear that there's any need to run one of the later versions.
 
OP
O

Owen Smith

Active Member
You've lost me completely. And I'm a computer programmer who has written networking software. But you could be talking a foreign language for all your post means to me, sorry.

For example, you talk about 16 == EBUSY, fair enough, but you don't say why I might have got that error or why it is a problem.

I have no idea whether I have a working installation any more. And I am nervous about ever updating CF packages again.
 

Black Hole

May contain traces of nut
You've lost me completely.
I believe /df's post is commentary for anyone trying to fix the problem rather than for your elucidation.

I am nervous about ever updating CF packages again.
Rebuild from scratch. There's nothing fundamentally wrong with the CF overall, so if you have somehow got into a weird state just wipe it and rebuild. It's the work of a few minutes.
 
OP
O

Owen Smith

Active Member
Result of attempt to manually re-install openssl:

owenhdrfoxt2# opkg --force-reinstall install openssl
Removing package openssl from root...
Installing openssl (1.1.1.d-1) to root...
Downloading http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.d-1_mipsel.opk.
wget: can't load library 'libssl.so.1.1'
Collected errors:
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/openssl_1.1.1.
d-1_mipsel.opk, wget returned 16.
* opkg_install_pkg: Failed to download openssl. Perhaps you need to run 'opkg u
pdate'?
* opkg_install_cmd: Cannot install package openssl.
owenhdrfoxt2# opkg update
Downloading http://hpkg.tv/hdrfoxt2/base/Packages.gz.
wget: can't load library 'libssl.so.1.1'
Collected errors:
* opkg_download: Failed to download http://hpkg.tv/hdrfoxt2/base/Packages.gz, w
get returned 16.
owenhdrfoxt2#
 

af123

Administrator
Staff member
wget: can't load library 'libssl.so.1.1'
Try the new ssl/fix diagnostic which should (re-)install those libraries:

Code:
humax# diag ssl/fix
Running: ssl/fix
Connecting to hpkg.tv (89.248.55.75:80)
libcrypto.so.1.1     100% |*******************************|  3557k  0:00:00 ETA
Connecting to hpkg.tv (89.248.55.75:80)
libssl.so.1.1        100% |*******************************|   798k  0:00:00 ETA
 
OP
O

Owen Smith

Active Member
Still not having any of it:

owenhdrfoxt2# diag ssl/fix
Running: ssl/fix
wget: can't load library 'libssl.so.1.1'
owenhdrfoxt2#

But it worked on my other box that is in the same state, so maybe it needs to be done after a reboot:

gradedhdrfoxt2# diag ssl/fix
Running: ssl/fix
Connecting to hpkg.tv (89.248.55.75:80)
libcrypto.so.1.1 100% |*******************************| 3557k 0:00:00 ETA
Connecting to hpkg.tv (89.248.55.75:80)
libssl.so.1.1 100% |*******************************| 798k 0:00:00 ETA
gradedhdrfoxt2#
 
OP
O

Owen Smith

Active Member
Hmm guess the two boxes weren't in the same state after all, a reboot didn't help the first box. I'm trying maintenance mode for the ssl fix but on going into maintenance it said:

Collecting status information...

/mod/bin/jimsh: can't load library 'libcrypto.so.1.1'
 
OP
O

Owen Smith

Active Member
Maintenance mode didn't help:

Please select option: diag

Enter the diagnostic name (or press return to cancel): ssl/fix
Are you sure you wish to run diagnostic 'ssl/fix'? [Y/N] y
Running: ssl/fix
wget: can't load library 'libssl.so.1.1'

Press return to continue:
 
OP
O

Owen Smith

Active Member
Same result, and I tried it twice. Box still in maintenance mode:

Please select option: diag

Enter the diagnostic name (or press return to cancel): ssl/fix
Are you sure you wish to run diagnostic 'ssl/fix'? [Y/N] y
Running: ssl/fix
wget: can't load library 'libssl.so.1.1'

Press return to continue:
 

af123

Administrator
Staff member
Ah wait, sorry, try this:

Code:
/bin/wget -qO- "http://hpkg.tv/diag/ssl/fix" | /bin/sh
 

/df

Active Member
This is what the diagnostic was trying to do:
Code:
for lib in crypto ssl; do
# version 1:    /mod/bin/busybox/wget \
# version 2:
        /bin/wget \
            -O /mod/lib/lib$lib.so.1.1 \
            http://hpkg.tv/diag/ssl/lib$lib.so.1.1
done
But diag also uses wget ...

[Aside] Should opkg, and possibly diag, be run with PATH=/bin or PATH=/mod/bin/busybox:/bin?
 
Last edited:

af123

Administrator
Staff member
Weirdly, instead of being a link to /mod/bin/busybox/busybox, /mod/bin/busybox/wget appeared to be a link to /mod/bin/wget, which wanted to load the missing SSL libs.
No, diag itself uses wget and that was the source of the latest error.

[Aside] Should opkg be run with PATH=/bin or PATH=/mod/bin/busybox:/bin?
Probably not if we want it to be able to use the new crypto algorithms provided by openssl 1.1, but in this case it would probably help to just do:

Code:
humax# PATH=/bin diag ssl/fix
(and diag itself should explicitly use /bin/wget...)
 

/df

Active Member
When the Wiki page for Diagnostic Utilities is up-to-date, this /mod/bin/diag that I originally worked up a while ago has some value, now with a tweak to avoid having to update /bin/diag:
Code:
#!/bin/sh
# run or [-d] list a diagnostic, or [-h] list documented diagnostics, or [no args] show usage
case "$1" in                                                   
-h|--help) wget -qO- "https://wiki.hummy.tv/wiki/Diagnostic_Utilities" |
        sed -ne '/id="Run_Diagnostic_options"/,/<[/]ul>/ {s@<li>@- @;ty;s@<p>@@;Tx;:y;s@<[^>]\+>\|&#[^;]\+;@@g;p;:x}'
        ;;
*)      # restrict PATH to avoid using repo wget in case it gets broken (Wiki page above needs https)
        PATH=/mod/bin/busybox:/bin  exec printf "%s\n" "$(/bin/diag "$@")" \
         "$( [ -n "$*" ] || echo "        -h   List documented diagnostics.")"    
        ;;
esac
 
Last edited:
Top